

img,
picture {
  max-width: 100%;
  display: block;
}

// In CSS rem stands for “root em”, a unit of 
// measurement that represents the font size 
// of the root element. This means that 1rem equals 
// the font size of the html element, which for most 
// browsers has a default value of 16px

.container
{
   max-width: 100rem;
   margin-inline: 2rem;
   padding-inline: 2rem;
}

.stacked
{
   display: grid;
}

// selecting any direct child of stacked (that is inside the stacked)
.stacked > *{
grid-column: 1/2;
grid-row: 1/2;
}

.product-grid{
    display: grid;
       // allow max-min size of the card
      //   and automatically brings into single line
      // if the the cards is 15rem, then takes up the entire
      // available space
   grid-template-columns:
   repeat(auto-fit, minmax(15rem,1fr));
    gap: .125rem;
}

.card
{
   // 1.5 times the hight of the card
   aspect-ratio: 1/1.5;
}

.card__content{
   background: white;
   align-self: end;
   margin: .5rem .5rem 2rem;
   padding: .5rem;
   box-shadow: 0 0.25rem 1rem rgb(0 0 0 /.1 );
}

.card__title{
   font-size: 1.25rem;
   line-height: 1;
   color: rgb(156, 52, 7);
}

.card__price{
font-size: 1.75rem;
line-height:0.25;
}

.card__img{
   width: 100%;
   aspect-ratio: 1/1.25;
   object-fit: cover;
}

.card__description{
   line-height: 0.25;
}

@media (min-width: 60em) {

.card__img{
   width: 100%;
   aspect-ratio: 1/1;
   object-fit: cover;
}

.card.featured{
grid-row: span 2;
grid-column: span 2;
}

.card.featured .card__img {
   aspect-ratio: 1 / 1.25;
}

.card.featured .card__title{
 font-size: 1.75rem;  
}
}